import java.util.ArrayList;

public class Teacher {
    private int idTeacher;
    private String name;
    private ArrayList<Subject> listOfSubjects;

    public Teacher(int idTeacher, String name) {
        this.idTeacher = idTeacher;
        this.name = name;
        this.listOfSubjects = new ArrayList<Subject>();
    }

    public void setName(String name) {
        this.name = name;
    }

    public void addSubjectToListOfSubjects (Subject subject)
    {
        listOfSubjects.add(subject);
    }

    @Override
    public String toString() {
        String returnedString = "";
        for (Subject s: listOfSubjects)
        {
            returnedString += (s.getIdSubject() + " " + s.getNameOfSubject() + " ");
        }
        return returnedString;
    }
}
